Subject: Re: Help! My ISP blocks repo.or.cz. How to push changes?

From: Jakub Narebski <[email-masked]>
Date: Mon, 12 Jan 2009 12:13:44 +0100

Alex Riesen wrote:
> 2009/1/12 Jakub Narebski <[email-masked]>:

> > Do you have any suggestions to bypass this block for git? I have access
> > to Linux shell account (no root access, though) which doesn't have
> > problems with repo.or.cz, so I think I could set up SSH tunnel: but
> > how? And what to do with access via git:// - move to SSH too?
> 
> See man ssh, look for -L. It works for arbitrary ports, so you can redirect
> git:// port to anywhere. Same for push over ssh, just give another port when
> connecting.

Currently I have the folowing in my ~/.ssh/config:

  # TP S.A. blocks repo.or.cz
  Host repo.or.cz
	NoHostAuthenticationForLocalhost yes
	HostName localhost
	Port 2222

and I can simply use "git push repo" without any changes.
But I have to run 

 $ ssh -f -N -L 2222:repo.or.cz:22 [email-masked]

first. Is there any way to automate this?

-- 
Jakub Narebski
Poland